| PST SDK 6.0.0.0-272350a

Public Member Functions | List of all members
pstech.pstsdk.tracker.Listener Class Reference

Abstract listener class for receiving tracking information and tracking mode updates from the tracker. More...

## Public Member Functions
def | on_tracker_data (self, tracker_data, status_message)
| Callback function receiving tracking information from the tracker. More...
def | on_tracker_mode (self, mode)
| Callback function receiving mode updates from the tracker. More...

## Detailed Description

Abstract listener class for receiving tracking information and tracking mode updates from the tracker.

Extend this class and implement its methods in order to receive tracking information and tracking mode updates from the PST Tracker. Examples on how to use this class and how to get data and modes from the PST Tracker can be found in the Examples section. Alternatively, Tracker.get_single_measurement can be called to get the latest available tracking data.

See also
  Tracker.add_tracker_listener
  Tracker.remove_tracker_listener
  Tracker.get_single_measurement

## Member Function Documentation

## ◆ on_tracker_data()

def pstech.pstsdk.tracker.Listener.on_tracker_data | ( |  | self,
|  |  | tracker_data,
|  |  | status_message
| ) |  |

Callback function receiving tracking information from the tracker.

Implement the on_tracker_data method to receive tracking information from the PST Tracker.

Parameters

  TrackerData | The object containing the detected tracking targets and 3D markers.
  EStatusMessage | Status reported by the tracker.

See also
  trackerdata.TrackerData
  errors.EStatusMessage

## ◆ on_tracker_mode()

def pstech.pstsdk.tracker.Listener.on_tracker_mode | ( |  | self,
|  |  | mode
| ) |  |

Callback function receiving mode updates from the tracker.

Implement the on_tracker_mode method to receive mode updates from the PST Tracker. This function enables responding to the different PST Tracker mode changes enumerated by ETrackerMode as soon as they occur.

Parameters

  ETrackerMode | Current tracker mode code as ETrackerMode enumeration member.

See also
  tracker.ETrackerMode

The documentation for this class was generated from the following file:

- C:/CI/builds/c149454a/0/ps-tech/pst-distributor/pstsdk/python/pstech/pstsdk/tracker.py